Name:           gnubik
Version:        2.3
Release:        1%{?dist}
Summary:        3D interactive graphics puzzle

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.gnu.org/software/gnubik/
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  libX11-devel guile-devel mesa-libGL-devel mesa-libGLU-devel gtk2-devel gtkglext-devel
BuildRequires:  gettext desktop-file-utils
Requires(post): info
Requires(preun): info

%description
GNUbik is a GNU package.  It is a 3D interactive graphics
puzzle. It renders an image of a magic cube
(similar to a rubik cube) and you attempt to solve it.


%prep
%setup -q
chmod -x src/{quarternion,txfm}.{c,h}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
install -Dp -m 644 doc/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6

install -Dp -m 644 src/%{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/%{name}
%{_infodir}/%{name}.info.gz
%{_mandir}/man*/%{name}*


%changelog
* Mon Mar 02 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-1
- Initial package
